Errors in formatting of texts 2.

2010-03-19 16:02 - Mike Stupalov

Status: New Start date: 2010-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.2

Description

inline links (urls and mailto) with leading "!" does not display correctly

(be displayed as text without a leading "!"):  

!ya.mail@example.org !ya.mail@example.org

!http://ya.url.com/ !http://ya.url.com/

strange appearance of the code block, where it should not be. Paste the text into a new wiki page and see the result:

h2. header

 2.2. item

  a. subitem

tables are not created, if at the end there is no blank line:

|1|1|1| |1|1|1|

zc

|1|1|1|

|1|1|1|

zc

and repeating the error mentioned in another ticket #5045:  

*(100 - Ksp)/100* /100

* (100 - Ksp) /100* * 100 - Ksp /100*

History

#1 - 2010-03-30 09:58 - Mike Stupalov

Mike Stupalov wrote:

strange appearance of the code block, where it should not be. Paste the text into a new wiki page and see the result:

[...]

 I found when it appears:

If, after the title are empty strings, and after the text begins with a space.

#2 - 2010-10-17 22:59 - Jean-Baptiste Barth

- Assignee changed from Jean-Philippe Lang to Jean-Baptiste Barth

- Affected version (unused) changed from 0.9.3 to 1.0.2

- Affected version changed from 0.9.3 to 1.0.2

Taking the 4 problems your report in the same order:
1: I don't understand, you say we should accept "!" chars ? Can you give me source, actual behavior and desired behavior ?

2: it's desired behavior, it allows having code automatically put into pre/code blocks. The header display is weird because of a css ID added to

the h2 tag. It could be fixed in the themes css, but I don't think it's so important, what do you think ?

3: don't know if it's really desired behavior, but it's the way RedCloth works for block sections, would be very difficult to change.

4: it's desired behavior. Parenthesis are used to specify CSS options. Imho, you should put any maths formula between two arboas signs, so

that they're displayed correctly. As a workaround, you can put a dummy css class like this: *(blah)(100 - Ksp)/100* => (100 - Ksp)/100

#3 - 2010-10-18 09:22 - Mike Stupalov

Jean-Baptiste Barth wrote:

Taking the 4 problems your report in the same order:

1: I don't understand, you say we should accept "!" chars ? Can you give me source, actual behavior and desired behavior ?

No, I meant: if before the link to deliver the character "!", the link shouldn't be generated and the character "!" It should not be displayed. Example:  

2: it's desired behavior, it allows having code automatically put into pre/code blocks. The header display is weird because of a css ID added

to the h2 tag. It could be fixed in the themes css, but I don't think it's so important, what do you think?

 I think it's still not the correct behavior. This problem has arisen in the first place, after converting from wiki trac to redmine.

3: don't know if it's really desired behavior, but it's the way RedCloth works for block sections, would be very difficult to change.

4: it's desired behavior. Parenthesis are used to specify CSS options. Imho, you should put any maths formula between two arboas signs,

so that they're displayed correctly. As a workaround, you can put a dummy css class like this: *(blah)(100 - Ksp)/100* => (100 - Ksp)/100

 In the previous ticket I've said that all of these problems can be solved by switching to a new version RedCloth (4.x)...

#4 - 2010-10-19 07:14 - Jean-Baptiste Barth

See #6269 about Redcloth 4 support, it has some drawbacks..

#5 - 2010-10-19 07:25 - Mike Stupalov

Jean-Baptiste Barth wrote:

See #6269 about Redcloth 4 support, it has some drawbacks..

 Oh, yes. Will be just fine.

#6 - 2012-06-10 22:42 - Jean-Baptiste Barth

- Assignee deleted (Jean-Baptiste Barth)

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/6269
https://www.redmine.org/issues/6269
http://www.tcpdf.org

